package config

import (
	"os"
	"path/filepath"
)

var (
	Verbose     bool
	ContentPath string
)

func init() {
	if xdgDataHome, ok := os.LookupEnv("XDG_DATA_HOME"); ok {
		ContentPath = filepath.Join(xdgDataHome, "git-roast")
	} else if home, err := os.UserHomeDir(); err == nil {
		ContentPath = filepath.Join(home, ".local", "git-roast")
	}

	if err := os.MkdirAll(ContentPath, 0700); err != nil {
		panic(err)
	}
}
